=== debian/changelog ===
lxqt-policykit (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078299)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Sun, 08 Sep 2024 18:39:05 +0800

lxqt-policykit (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 09:19:01 +0100

lxqt-policykit (1.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 1.3.0
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: bump build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/copyright: update.
  * debian/rules: Suppress blhc error.

  [ Andrew Lee (李健秋) ]
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.
  * debian/salsa-ci.yml: allow blhc failure instead of hardcoded blhc
    ignore line.
  * debian/control: update team address.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 26 Aug 2023 06:34:05 +0200

lxqt-policykit (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.
  * Bump compat to 13.
    * Remove unnecessary -Wl,--as-needed in d/rules.
    * Remove unnecessary --fail-missing in d/rules.
  * Add Rules-Requires-Root: no.
  * Update d/watch for GitHub.
  * Fix d/upstream/metadata.
  * Add ChangZhuo Chen (陳昌倬) to d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 16 Dec 2022 17:56:59 +0800

lxqt-policykit (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 16:09:14 +0800
