## lxqt-policykit 2.1.0

=== debian/changelog ===
lxqt-policykit (2.1.0-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.0
  * build-deps on liblxqt-dev (>= 2.1.0~).

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Dec 2024 19:38:41 +0100

lxqt-policykit (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.
  * Team upload to unstable.

 -- Macy Lin <macy@debconf.org>  Mon, 02 Dec 2024 22:28:27 +0100

lxqt-policykit (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libpolkit-qt5-1-dev -> libpolkit-qt6-1-dev

  [ Andrew Lee (李健秋) ]
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/salsa-ci.yml: drop blhc tests error workaround.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 17:09:05 +0200
