=== debian/control ===
Source: lxqt-policykit
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 2.2.0),
               libpolkit-agent-1-dev,
               libpolkit-qt6-1-dev,
               libx11-dev,
               qt6-svg-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging.git
Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Rules-Requires-Root: no
Homepage: https://github.com/lxqt/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-policykit
 The l10n files for lxqt-policykit
 .
 This package contains the l10n files needed by lxqt-policykit.
