## lxqt-policykit 2.3.0

=== debian/changelog ===
lxqt-policykit (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Andrew Lee (李健秋) ]
  * Drop useless file.
  * debian/control: Drop Rules-Requires-Root: no (now the default).

  [ Macy Lin ]
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Nov 2025 05:30:22 +0100

lxqt-policykit (2.2.0-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream version 2.2.0. (Closes: #1097337)
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Wed, 13 Aug 2025 20:30:39 +0200
